## osxvideosink osxvideosink |

## Properties

gboolean | embed | Read / Write
gboolean | fullscreen | Read / Write

## Types and Values

struct | GstOSXVideoSink

## Description

## Synopsis

### Element Information

plugin | osxvideo
author | Zaheer Abbas Merali <zaheerabas at merali dot org>
class | Sink/Video

### Element Pads

## Functions

## Types and Values

### struct GstOSXVideoSink

    struct GstOSXVideoSink {
      /* Our element stuff */
      GstVideoSink videosink;
      GstOSXWindow *osxwindow;
      void *osxvideosinkobject;
      NSView *superview;
      gboolean keep_par;
      GstVideoInfo info;
    };

## Property Details

### The `“embed”` property

      “embed”                    gboolean

When enabled, it can be embedded.

Flags: Read / Write

Default value: FALSE

### The `“fullscreen”` property

      “fullscreen”               gboolean

When enabled, the view is fullscreen.

Flags: Read / Write

Default value: FALSE